vike
API EndpointsHyperliquid

/stats/volume

Hourly perp volume — the whole venue, or one coin.

GET https://data.vike.io/v1/hyperliquid/stats/volume

Hourly perp volume — the whole venue, or one coin.

cURL
# the last three hours of BTC perp volume
curl -s "https://data.vike.io/v1/hyperliquid/stats/volume?coin=BTC&limit=3" \
  -H "X-API-KEY: $VIKE_API_KEY"

# next page of the call just above: NEXT is its nextCursor, passed back verbatim
curl -s "https://data.vike.io/v1/hyperliquid/stats/volume?coin=BTC&limit=3&cursor=$NEXT" \
  -H "X-API-KEY: $VIKE_API_KEY"

# venue-wide volume by the hour for the last day (omit coin)
curl -s "https://data.vike.io/v1/hyperliquid/stats/volume?limit=24" \
  -H "X-API-KEY: $VIKE_API_KEY"

# a pinned week of ETH hourly volume: limit must cover every hour in the range
curl -s "https://data.vike.io/v1/hyperliquid/stats/volume?coin=ETH&start=2026-08-10T00:00:00Z&end=2026-08-16T23:59:59Z&limit=168" \
  -H "X-API-KEY: $VIKE_API_KEY"

# roll the hours up into days
curl -s "https://data.vike.io/v1/hyperliquid/stats/volume?limit=168" \
  -H "X-API-KEY: $VIKE_API_KEY" \
  | jq '.volume | group_by(.ts[:10]) | map({day: .[0].ts[:10], volume: (map(.volume) | add), fills: (map(.n_fills) | add)})'
coinqueryoptional
HL coin ticker. Omit for the whole venue
startqueryoptional
ISO-8601 UTC bounds
endqueryoptional
ISO-8601 UTC bounds
limitqueryoptional
Default 500, max 5000
cursorqueryoptional
Keyset cursor
Example response
{
  "volume": [
    {
      "ts": "2026-09-03T08:00:00+00:00",
      "volume": 61952806.20848002,
      "n_fills": 7662,
      "coin": "BTC"
    },
    {
      "ts": "2026-09-03T07:00:00+00:00",
      "volume": 367067977.39358,
      "n_fills": 46418,
      "coin": "BTC"
    },
    {
      "ts": "2026-09-03T06:00:00+00:00",
      "volume": 115475061.87640005,
      "n_fills": 23854,
      "coin": "BTC"
    }
  ],
  "nextCursor": "eyJ0cyI6IjIwMjYtMDktMDMgMDY6MDA6MDAifQ"
}
cURL
# the last three hours of BTC perp volumecurl -s "https://data.vike.io/v1/hyperliquid/stats/volume?coin=BTC&limit=3" \  -H "X-API-KEY: $VIKE_API_KEY"# next page of the call just above: NEXT is its nextCursor, passed back verbatimcurl -s "https://data.vike.io/v1/hyperliquid/stats/volume?coin=BTC&limit=3&cursor=$NEXT" \  -H "X-API-KEY: $VIKE_API_KEY"# venue-wide volume by the hour for the last day (omit coin)curl -s "https://data.vike.io/v1/hyperliquid/stats/volume?limit=24" \  -H "X-API-KEY: $VIKE_API_KEY"# a pinned week of ETH hourly volume: limit must cover every hour in the rangecurl -s "https://data.vike.io/v1/hyperliquid/stats/volume?coin=ETH&start=2026-08-10T00:00:00Z&end=2026-08-16T23:59:59Z&limit=168" \  -H "X-API-KEY: $VIKE_API_KEY"# roll the hours up into dayscurl -s "https://data.vike.io/v1/hyperliquid/stats/volume?limit=168" \  -H "X-API-KEY: $VIKE_API_KEY" \  | jq '.volume | group_by(.ts[:10]) | map({day: .[0].ts[:10], volume: (map(.volume) | add), fills: (map(.n_fills) | add)})'
Example response
{  "volume": [    {      "ts": "2026-09-03T08:00:00+00:00",      "volume": 61952806.20848002,      "n_fills": 7662,      "coin": "BTC"    },    {      "ts": "2026-09-03T07:00:00+00:00",      "volume": 367067977.39358,      "n_fills": 46418,      "coin": "BTC"    },    {      "ts": "2026-09-03T06:00:00+00:00",      "volume": 115475061.87640005,      "n_fills": 23854,      "coin": "BTC"    }  ],  "nextCursor": "eyJ0cyI6IjIwMjYtMDktMDMgMDY6MDA6MDAifQ"}